<ng-template #ghostRef>
  <header>
    <div class="container">
      <sfl-ghost-avatar></sfl-ghost-avatar>
    </div>
    <div class="title">
      <sfl-ghost-line [count]="2"></sfl-ghost-line>
    </div>
  </header>
</ng-template>
<header *ngIf="me; else ghostRef">
  <div class="container">
    <img class="container__pp" [src]="me.avatar" alt="Photo de profil" onerror="this.style.display='none'" />
  </div>
  <div class="title">
    <h1 class="top-appear">{{ me.displayName }}</h1>
    <h2>🍃</h2>
  </div>
</header>
<section>
  <h2 class="fade-appear">{{ 'profile.parameters.title' | translate }}</h2>

  <mat-form-field appearance="fill" ngClass.xs="xs">
    <mat-label>{{ 'profile.parameters.lang.field' | translate }}</mat-label>
    <mat-select [formControl]="i18nFormControl" (valueChange)="changeI18n($event)">
      <mat-option [value]="i18nEnum.EN">
        {{ 'profile.parameters.lang.options.' + i18nEnum.EN | translate | titlecase }}
      </mat-option>
      <mat-option [value]="i18nEnum.LAPIN">
        {{ 'profile.parameters.lang.options.' + i18nEnum.LAPIN | translate | titlecase }}
      </mat-option>
    </mat-select>
  </mat-form-field>

  <div class="container" @fade>
    <div class="card">
      <h3 class="card__title">
        {{ 'profile.parameters.export.title' | translate }}
      </h3>
      <div class="card__content">
        <p>{{ 'profile.parameters.export.text' | translate }}</p>
      </div>
      <button class="card__link" sfl-button (click)="createCsv()" [disabled]="!me">
        {{ 'shared.actions.confirm' | translate }}
      </button>
    </div>

    <div class="card">
      <h3 class="card__title">
        {{ 'profile.parameters.logout.title' | translate }}
      </h3>
      <div class="card__content">
        <p>{{ 'profile.parameters.logout.text' | translate }}</p>
      </div>
      <button class="card__link" sfl-button (click)="logout()" [disabled]="!me">
        {{ 'shared.actions.confirm' | translate }}
      </button>
    </div>

    <div class="card card--warn">
      <h3 class="card__title">
        {{ 'profile.parameters.deleteAccount.title' | translate }}
      </h3>
      <div class="card__content">
        <p>{{ 'profile.parameters.deleteAccount.text' | translate }}</p>
      </div>
      <button class="card__link" sfl-button (click)="deleteAccount()" [disabled]="!me">
        {{ 'shared.actions.delete' | translate }}
      </button>
    </div>
  </div>
</section>
